Subject: Re: [PATCH 00/16] odb: introduce "inmemory" source

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Apr 2026 14:48:52 -0700

Patrick Steinhardt <[email-masked]> writes:

> On Fri, Apr 03, 2026 at 08:41:16AM -0700, Junio C Hamano wrote:
>> Patrick Steinhardt <[email-masked]> writes:
>> 
>> > this patch series introduces the second object database source type,
>> > which is the "inmemory" source.
>> 
>> I cannot read the word without a hyphen, i.e.e.g., "in-memory".
>
> Fair. I think I'll keep it as `odb_source_inmemory` in the sources,
> which I find easier ot parse than `odb_source_in_memory`, but will adapt
> to "in-memory" in prose. I already did this for most of the part, but
> not in the cover letter indeed.

Fair.

FWIW, we do the same for "in core" or "in-core" in prose, and
"incore" in identifier names, so the above is understandable
position to take.

But stepping back a bit, does this new "in memory" refer to a
concept that is different from what the rest of the system uses "in
core" to represent?